// rocketOS bootstrapping sequence

// To maximize space, remove this file first thing. The in-memory copy
// will still run to completion, and it should only run once per vessel.
deletepath("/boot/rocket").

// Install software.
compile "0:/lib/navigation" to "1:/lib/navigation".
compile "0:/lib/throttle" to "1:/lib/throttle".
compile "0:/ui/rocket" to "1:/init".
compile "0:/launch" to "1:/launch".
copypath("0:/execnode", "1:/execnode"). // larger when compiled

// Set OS to boot and restart.
set core:bootfilename to "/init".

reboot.
